<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbCustomer" table="DB_CUSTOMER">
        <id name="customerid" type="java.lang.String">
            <column name="CUSTOMERID" length="50" />
            <generator class="assigned" />
        </id>
        <property name="customername" type="java.lang.String">
            <column name="CUSTOMERNAME" length="100" not-null="true" />
        </property>
        <property name="password" type="java.lang.String">
            <column name="PASSWORD" length="100" />
        </property>
        <property name="customersex" type="java.lang.String">
            <column name="CUSTOMERSEX" length="100" />
        </property>
        <property name="customerage" type="java.lang.String">
            <column name="CUSTOMERAGE" length="100" />
        </property>
        <property name="customerbirthday" type="java.lang.String">
            <column name="CUSTOMERBIRTHDAY" length="100" />
        </property>
        <property name="customerfirstname" type="java.lang.String">
            <column name="CUSTOMERFIRSTNAME" length="100" />
        </property>
        <property name="customerlastname" type="java.lang.String">
            <column name="CUSTOMERLASTNAME" length="100" />
        </property>
        <property name="customertype" type="java.lang.String">
            <column name="CUSTOMERTYPE" length="100" />
        </property>
        <property name="customertel1" type="java.lang.String">
            <column name="CUSTOMERTEL1" length="100" />
        </property>
        <property name="customertel2" type="java.lang.String">
            <column name="CUSTOMERTEL2" length="100" />
        </property>
        <property name="customeremail" type="java.lang.String">
            <column name="CUSTOMEREMAIL" length="100" />
        </property>
        <property name="customerqq" type="java.lang.String">
            <column name="CUSTOMERQQ" length="100" />
        </property>
        <property name="customermsn" type="java.lang.String">
            <column name="CUSTOMERMSN" length="100" />
        </property>
        <property name="customercountry" type="java.lang.String">
            <column name="CUSTOMERCOUNTRY" length="100" />
        </property>
        <property name="customerprovince" type="java.lang.String">
            <column name="CUSTOMERPROVINCE" length="100" />
        </property>
        <property name="customercity" type="java.lang.String">
            <column name="CUSTOMERCITY" length="100" />
        </property>
        <property name="customeraddress" type="java.lang.String">
            <column name="CUSTOMERADDRESS" length="200" />
        </property>
        <property name="customerzipcode" type="java.lang.String">
            <column name="CUSTOMERZIPCODE" length="100" />
        </property>
        <property name="customerfax" type="java.lang.String">
            <column name="CUSTOMERFAX" length="100" />
        </property>
        <property name="customerreserve1" type="java.lang.String">
            <column name="CUSTOMERRESERVE1" length="100" />
        </property>
        <property name="customerreserve2" type="java.lang.String">
            <column name="CUSTOMERRESERVE2" length="100" />
        </property>
        <property name="customerreserve3" type="java.lang.String">
            <column name="CUSTOMERRESERVE3" length="100" />
        </property>
        <property name="customerreserve4" type="java.lang.String">
            <column name="CUSTOMERRESERVE4" length="100" />
        </property>
        <property name="customerreserve5" type="java.lang.String">
            <column name="CUSTOMERRESERVE5" length="100" />
        </property>
        <property name="customerreserve6" type="java.lang.String">
            <column name="CUSTOMERRESERVE6" length="100" />
        </property>
        <property name="customerreserve7" type="java.lang.String">
            <column name="CUSTOMERRESERVE7" length="100" />
        </property>
        <property name="customerreserve8" type="java.lang.String">
            <column name="CUSTOMERRESERVE8" length="100" />
        </property>
        <property name="customerreserve9" type="java.lang.String">
            <column name="CUSTOMERRESERVE9" length="100" />
        </property>
        <property name="customerreserve10" type="java.lang.String">
            <column name="CUSTOMERRESERVE10" length="100" />
        </property>
        <property name="openflag" type="java.lang.String">
            <column name="OPENFLAG" length="20" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="100" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="ordercount" type="java.lang.Long">
            <column name="ORDERCOUNT" precision="6" scale="0" />
        </property>
        <property name="ordernum" type="java.lang.Long">
            <column name="ORDERNUM" precision="6" scale="0" />
        </property>
        <property name="ordermoney" type="java.lang.Double">
            <column name="ORDERMONEY" precision="10" />
        </property>
        <property name="slevel" type="java.lang.Long">
            <column name="SLEVEL" precision="6" scale="0" />
        </property>
        <property name="orderreserve1" type="java.lang.String">
            <column name="ORDERRESERVE1" length="100" />
        </property>
        <property name="orderreserve2" type="java.lang.String">
            <column name="ORDERRESERVE2" length="100" />
        </property>
    </class>
</hibernate-mapping>
